require 'nicoquery/core/version'

require 'nicoquery/core/getthumbinfo'
require 'nicoquery/core/tag_search'
require 'nicoquery/core/video_array'


module NicoQuery
  module Core
    def getthumbinfo(video_id)
      instance = NicoQuery::Core::GetThumbInfo.new video_id
      instance.get
    end

    def video_array(video_id_array)
      instance = NicoQuery::Core::VideoArray.new video_id_array
      instance.get
    end

    def tag_search(tag: tag, sort: sort, order: order, page: page)
      instance = NicoQuery::Core::TagSearch.new tag: tag, sort: sort, order: order, page: page
      instance.get
    end

    module_function :getthumbinfo
    module_function :video_array
    module_function :tag_search
  end
end
